Bug 1375670 - Review Request: python26 - Version 2.6 of the Python programming language
Summary: Review Request: python26 - Version 2.6 of the Python programming language
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-13 16:12 UTC by Miro Hrončok
Modified: 2016-12-01 22:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-01 22:21:07 UTC
cstratak: fedora-review+


Attachments (Terms of Use)

Description Miro Hrončok 2016-09-13 16:12:16 UTC
Spec URL: https://github.com/fedora-python/python26/raw/master/python26.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/python26-2.6.9-1.fc26.src.rpm

Description: Python 2.6 package for developers.
No security fixes will be applied.

Fedora Account System Username: churchyard
COPR: https://copr.fedorainfracloud.org/coprs/g/python/python26/

In the review, please note that this is a backport of the python3 package and the spec might be more complicated than necessary for the sake of much easier portability between python34 and python3.

On the other hand, please be thorough about things like conflicts with python3 package, upgrade paths, etc.

Also please note that:

https://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Process

Contributors and reviewers MUST follow the Package Review Process, with the following exceptions:

* The package is being created so that multiple versions of the same package can coexist in the distribution. The package MUST be properly named according to the naming guidelines and MUST NOT conflict with all other versions of the same package.

I'd like the reviewer to check this condition first.

Comment 1 Charalampos Stratakis 2016-09-26 15:04:08 UTC
On koji the build finishes successfully for f23, while this is not the case for copr f23 chroots.

The issue here are zombie processes left behind due to a test case in test_thread.py, so there is a possibility, that the build service used cannot kill the processes at the end of the build (after the %check phase has ran).

In order to avoid this, I would suggest applying this [patch] from upstream which was applied only on python 2.7.


[patch] https://hg.python.org/cpython/rev/613196986c09/

Copr builds for f23 finish successfully with this commit:
https://copr.fedorainfracloud.org/coprs/g/python/python26/build/457870/

Comment 2 Miro Hrončok 2016-09-26 18:52:30 UTC
Could you please commit (or PR) it into the GH repo? https://github.com/fedora-python/python26

Thanks

Comment 3 Charalampos Stratakis 2016-09-26 19:18:51 UTC
(In reply to Miro Hrončok from comment #2)
> Could you please commit (or PR) it into the GH repo?
> https://github.com/fedora-python/python26
> 
> Thanks

Is it required for this package to reserve a new patch number as stated at [0]?

[0] https://fedoraproject.org/wiki/SIGs/Python/PythonPatches

Comment 4 Miro Hrončok 2016-09-27 05:59:20 UTC
As the other patches are not numbered, I don't think so.

Comment 5 Charalampos Stratakis 2016-09-27 13:35:42 UTC
Commited [0] and made new copr builds. Things seem fine. Testing it now starting from F23.


[0] https://github.com/fedora-python/python26/commit/f5f9e7271aa6b2ff6400f40f6eee507421bcf2c5

Comment 6 Charalampos Stratakis 2016-09-27 18:25:19 UTC
Package is updated to 2.6.9, the latest patch version of Python 2.6 upstream:

https://hg.python.org/cpython/raw-file/v2.6.9/Misc/NEWS

Package is flat, meaning that there are no subpackages, all the files and directories are at the main package.

As it seems there is no debug build.

Binaries, as well as libraries and man pages are removed or renamed so they do not conflict with the system python package. The binary for this package is renamed to python26, and invoking it fires up the 2.6.9 shell.

python(abi) is not required/provided.

setuptools and pip are not bundled in this package as upstream started bundling them from python2 >= 2.7.9 and python3 >= 3.4. 

Tested on F23 VM which I upgraded to F24, F25 and rawhide. No regressions noted and nothing seems to conflict with base python package or anything else.

_bsddb module is disabled since the dependencies for building python 2.6 with this module cannot be satisfied in released Fedora versions.

Various fixes have been applied which were/are present on current python2 package (Python 2.7), in order for it to work properly.

I would like to dig in two things [0][1] though before the package is accepted, although they do not seem problematic with a first look

[0] https://github.com/fedora-python/python26/commit/aabf03169e2263865a33fa86268a2b0260bf3fd5
[1] https://github.com/fedora-python/python26/commit/8f9ecb10686e54ad913e8054b6e95745b1669a62

Comment 7 Charalampos Stratakis 2016-09-29 11:20:36 UTC
BuildRequires: python2 is added because of that [error] during build on Fedora 23 and Fedora 24

[error]
./Parser/asdl_c.py -h ./Include ./Parser/Python.asdl
/usr/bin/env: 'python': No such file or directory
Makefile:558: recipe for target 'Include/Python-ast.h' failed
make: *** [Include/Python-ast.h] Error 127

It seems to be fixable as it is mentioned here [0], but it's not a blocker for accepting the package. 

[0] https://mail.python.org/pipermail/python-dev/2010-December/106425.html

Package accepted.

Comment 8 Fedora Update System 2016-10-01 22:22:19 UTC
python26-2.6.9-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3d4cc5cc35

Comment 9 Fedora Update System 2016-10-03 07:23:48 UTC
python26-2.6.9-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-af076fa537

Comment 10 Fedora Update System 2016-11-22 11:04:55 UTC
python26-2.6.9-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-54c504f247

Comment 11 Fedora Update System 2016-11-22 23:25:15 UTC
python26-2.6.9-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-54c504f247

Comment 12 Fedora Update System 2016-12-01 22:21:07 UTC
python26-2.6.9-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.